/*
 * Copyright 2016 Red Hat, Inc. and/or its affiliates.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *       http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.optaplanner.workbench.screens.solver.client.editor;

import com.google.gwt.user.client.ui.Tree;
import com.google.gwt.user.client.ui.TreeItem;
import com.google.gwtmockito.GwtMockitoTestRunner;
import org.junit.Before;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.mockito.Mock;

import static org.mockito.Mockito.*;

@RunWith(GwtMockitoTestRunner.class)
public class TerminationConfigFormViewImplTest {

    private TerminationConfigFormViewImpl terminationConfigFormView;

    @Mock
    private Tree tree;

    @Before
    public void setUp() throws Exception {
        terminationConfigFormView = new TerminationConfigFormViewImpl(tree);
    }

    @Test
    public void initTree() {
        TreeItem treeItem = new TreeItem();
        terminationConfigFormView.initTree(treeItem);
        verify(tree).clear();
        verify(tree).addItem(treeItem);
    }
}